Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
190.136.0.0
Broadcast address
190.143.255.255
First usable
190.136.0.1
Last usable
190.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex BE880000 · Integer 3196583936 to 3197108223
Reverse DNS zones
136.190.in-addr.arpa
137.190.in-addr.arpa
138.190.in-addr.arpa
139.190.in-addr.arpa
140.190.in-addr.arpa
141.190.in-addr.arpa
142.190.in-addr.arpa
143.190.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.10001000.00000000.00000000190.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10111110.10001000.00000000.00000000190.136.0.0
Broadcast10111110.10001111.11111111.11111111190.143.255.255
Split into smaller subnets/25

190.136.0.0/13 makes 4,096 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.136.0.0/25190.136.0.1 to 190.136.0.126190.136.0.127126
2190.136.0.128/25190.136.0.129 to 190.136.0.254190.136.0.255126
3190.136.1.0/25190.136.1.1 to 190.136.1.126190.136.1.127126
4190.136.1.128/25190.136.1.129 to 190.136.1.254190.136.1.255126
5190.136.2.0/25190.136.2.1 to 190.136.2.126190.136.2.127126
6190.136.2.128/25190.136.2.129 to 190.136.2.254190.136.2.255126
7190.136.3.0/25190.136.3.1 to 190.136.3.126190.136.3.127126
8190.136.3.128/25190.136.3.129 to 190.136.3.254190.136.3.255126
9190.136.4.0/25190.136.4.1 to 190.136.4.126190.136.4.127126
10190.136.4.128/25190.136.4.129 to 190.136.4.254190.136.4.255126
11190.136.5.0/25190.136.5.1 to 190.136.5.126190.136.5.127126
12190.136.5.128/25190.136.5.129 to 190.136.5.254190.136.5.255126
13190.136.6.0/25190.136.6.1 to 190.136.6.126190.136.6.127126
14190.136.6.128/25190.136.6.129 to 190.136.6.254190.136.6.255126
15190.136.7.0/25190.136.7.1 to 190.136.7.126190.136.7.127126
16190.136.7.128/25190.136.7.129 to 190.136.7.254190.136.7.255126
17190.136.8.0/25190.136.8.1 to 190.136.8.126190.136.8.127126
18190.136.8.128/25190.136.8.129 to 190.136.8.254190.136.8.255126
19190.136.9.0/25190.136.9.1 to 190.136.9.126190.136.9.127126
20190.136.9.128/25190.136.9.129 to 190.136.9.254190.136.9.255126
21190.136.10.0/25190.136.10.1 to 190.136.10.126190.136.10.127126
22190.136.10.128/25190.136.10.129 to 190.136.10.254190.136.10.255126
23190.136.11.0/25190.136.11.1 to 190.136.11.126190.136.11.127126
24190.136.11.128/25190.136.11.129 to 190.136.11.254190.136.11.255126
25190.136.12.0/25190.136.12.1 to 190.136.12.126190.136.12.127126
26190.136.12.128/25190.136.12.129 to 190.136.12.254190.136.12.255126
27190.136.13.0/25190.136.13.1 to 190.136.13.126190.136.13.127126
28190.136.13.128/25190.136.13.129 to 190.136.13.254190.136.13.255126
29190.136.14.0/25190.136.14.1 to 190.136.14.126190.136.14.127126
30190.136.14.128/25190.136.14.129 to 190.136.14.254190.136.14.255126
31190.136.15.0/25190.136.15.1 to 190.136.15.126190.136.15.127126
32190.136.15.128/25190.136.15.129 to 190.136.15.254190.136.15.255126
33190.136.16.0/25190.136.16.1 to 190.136.16.126190.136.16.127126
34190.136.16.128/25190.136.16.129 to 190.136.16.254190.136.16.255126
35190.136.17.0/25190.136.17.1 to 190.136.17.126190.136.17.127126
36190.136.17.128/25190.136.17.129 to 190.136.17.254190.136.17.255126
37190.136.18.0/25190.136.18.1 to 190.136.18.126190.136.18.127126
38190.136.18.128/25190.136.18.129 to 190.136.18.254190.136.18.255126
39190.136.19.0/25190.136.19.1 to 190.136.19.126190.136.19.127126
40190.136.19.128/25190.136.19.129 to 190.136.19.254190.136.19.255126
41190.136.20.0/25190.136.20.1 to 190.136.20.126190.136.20.127126
42190.136.20.128/25190.136.20.129 to 190.136.20.254190.136.20.255126
43190.136.21.0/25190.136.21.1 to 190.136.21.126190.136.21.127126
44190.136.21.128/25190.136.21.129 to 190.136.21.254190.136.21.255126
45190.136.22.0/25190.136.22.1 to 190.136.22.126190.136.22.127126
46190.136.22.128/25190.136.22.129 to 190.136.22.254190.136.22.255126
47190.136.23.0/25190.136.23.1 to 190.136.23.126190.136.23.127126
48190.136.23.128/25190.136.23.129 to 190.136.23.254190.136.23.255126
49190.136.24.0/25190.136.24.1 to 190.136.24.126190.136.24.127126
50190.136.24.128/25190.136.24.129 to 190.136.24.254190.136.24.255126
51190.136.25.0/25190.136.25.1 to 190.136.25.126190.136.25.127126
52190.136.25.128/25190.136.25.129 to 190.136.25.254190.136.25.255126
53190.136.26.0/25190.136.26.1 to 190.136.26.126190.136.26.127126
54190.136.26.128/25190.136.26.129 to 190.136.26.254190.136.26.255126
55190.136.27.0/25190.136.27.1 to 190.136.27.126190.136.27.127126
56190.136.27.128/25190.136.27.129 to 190.136.27.254190.136.27.255126
57190.136.28.0/25190.136.28.1 to 190.136.28.126190.136.28.127126
58190.136.28.128/25190.136.28.129 to 190.136.28.254190.136.28.255126
59190.136.29.0/25190.136.29.1 to 190.136.29.126190.136.29.127126
60190.136.29.128/25190.136.29.129 to 190.136.29.254190.136.29.255126
61190.136.30.0/25190.136.30.1 to 190.136.30.126190.136.30.127126
62190.136.30.128/25190.136.30.129 to 190.136.30.254190.136.30.255126
63190.136.31.0/25190.136.31.1 to 190.136.31.126190.136.31.127126
64190.136.31.128/25190.136.31.129 to 190.136.31.254190.136.31.255126
65190.136.32.0/25190.136.32.1 to 190.136.32.126190.136.32.127126
66190.136.32.128/25190.136.32.129 to 190.136.32.254190.136.32.255126
67190.136.33.0/25190.136.33.1 to 190.136.33.126190.136.33.127126
68190.136.33.128/25190.136.33.129 to 190.136.33.254190.136.33.255126
69190.136.34.0/25190.136.34.1 to 190.136.34.126190.136.34.127126
70190.136.34.128/25190.136.34.129 to 190.136.34.254190.136.34.255126
71190.136.35.0/25190.136.35.1 to 190.136.35.126190.136.35.127126
72190.136.35.128/25190.136.35.129 to 190.136.35.254190.136.35.255126
73190.136.36.0/25190.136.36.1 to 190.136.36.126190.136.36.127126
74190.136.36.128/25190.136.36.129 to 190.136.36.254190.136.36.255126
75190.136.37.0/25190.136.37.1 to 190.136.37.126190.136.37.127126
76190.136.37.128/25190.136.37.129 to 190.136.37.254190.136.37.255126
77190.136.38.0/25190.136.38.1 to 190.136.38.126190.136.38.127126
78190.136.38.128/25190.136.38.129 to 190.136.38.254190.136.38.255126
79190.136.39.0/25190.136.39.1 to 190.136.39.126190.136.39.127126
80190.136.39.128/25190.136.39.129 to 190.136.39.254190.136.39.255126
81190.136.40.0/25190.136.40.1 to 190.136.40.126190.136.40.127126
82190.136.40.128/25190.136.40.129 to 190.136.40.254190.136.40.255126
83190.136.41.0/25190.136.41.1 to 190.136.41.126190.136.41.127126
84190.136.41.128/25190.136.41.129 to 190.136.41.254190.136.41.255126
85190.136.42.0/25190.136.42.1 to 190.136.42.126190.136.42.127126
86190.136.42.128/25190.136.42.129 to 190.136.42.254190.136.42.255126
87190.136.43.0/25190.136.43.1 to 190.136.43.126190.136.43.127126
88190.136.43.128/25190.136.43.129 to 190.136.43.254190.136.43.255126
89190.136.44.0/25190.136.44.1 to 190.136.44.126190.136.44.127126
90190.136.44.128/25190.136.44.129 to 190.136.44.254190.136.44.255126
91190.136.45.0/25190.136.45.1 to 190.136.45.126190.136.45.127126
92190.136.45.128/25190.136.45.129 to 190.136.45.254190.136.45.255126
93190.136.46.0/25190.136.46.1 to 190.136.46.126190.136.46.127126
94190.136.46.128/25190.136.46.129 to 190.136.46.254190.136.46.255126
95190.136.47.0/25190.136.47.1 to 190.136.47.126190.136.47.127126
96190.136.47.128/25190.136.47.129 to 190.136.47.254190.136.47.255126
97190.136.48.0/25190.136.48.1 to 190.136.48.126190.136.48.127126
98190.136.48.128/25190.136.48.129 to 190.136.48.254190.136.48.255126
99190.136.49.0/25190.136.49.1 to 190.136.49.126190.136.49.127126
100190.136.49.128/25190.136.49.129 to 190.136.49.254190.136.49.255126
101190.136.50.0/25190.136.50.1 to 190.136.50.126190.136.50.127126
102190.136.50.128/25190.136.50.129 to 190.136.50.254190.136.50.255126
103190.136.51.0/25190.136.51.1 to 190.136.51.126190.136.51.127126
104190.136.51.128/25190.136.51.129 to 190.136.51.254190.136.51.255126
105190.136.52.0/25190.136.52.1 to 190.136.52.126190.136.52.127126
106190.136.52.128/25190.136.52.129 to 190.136.52.254190.136.52.255126
107190.136.53.0/25190.136.53.1 to 190.136.53.126190.136.53.127126
108190.136.53.128/25190.136.53.129 to 190.136.53.254190.136.53.255126
109190.136.54.0/25190.136.54.1 to 190.136.54.126190.136.54.127126
110190.136.54.128/25190.136.54.129 to 190.136.54.254190.136.54.255126
111190.136.55.0/25190.136.55.1 to 190.136.55.126190.136.55.127126
112190.136.55.128/25190.136.55.129 to 190.136.55.254190.136.55.255126
113190.136.56.0/25190.136.56.1 to 190.136.56.126190.136.56.127126
114190.136.56.128/25190.136.56.129 to 190.136.56.254190.136.56.255126
115190.136.57.0/25190.136.57.1 to 190.136.57.126190.136.57.127126
116190.136.57.128/25190.136.57.129 to 190.136.57.254190.136.57.255126
117190.136.58.0/25190.136.58.1 to 190.136.58.126190.136.58.127126
118190.136.58.128/25190.136.58.129 to 190.136.58.254190.136.58.255126
119190.136.59.0/25190.136.59.1 to 190.136.59.126190.136.59.127126
120190.136.59.128/25190.136.59.129 to 190.136.59.254190.136.59.255126
121190.136.60.0/25190.136.60.1 to 190.136.60.126190.136.60.127126
122190.136.60.128/25190.136.60.129 to 190.136.60.254190.136.60.255126
123190.136.61.0/25190.136.61.1 to 190.136.61.126190.136.61.127126
124190.136.61.128/25190.136.61.129 to 190.136.61.254190.136.61.255126
125190.136.62.0/25190.136.62.1 to 190.136.62.126190.136.62.127126
126190.136.62.128/25190.136.62.129 to 190.136.62.254190.136.62.255126
127190.136.63.0/25190.136.63.1 to 190.136.63.126190.136.63.127126
128190.136.63.128/25190.136.63.129 to 190.136.63.254190.136.63.255126
129190.136.64.0/25190.136.64.1 to 190.136.64.126190.136.64.127126
130190.136.64.128/25190.136.64.129 to 190.136.64.254190.136.64.255126
131190.136.65.0/25190.136.65.1 to 190.136.65.126190.136.65.127126
132190.136.65.128/25190.136.65.129 to 190.136.65.254190.136.65.255126
133190.136.66.0/25190.136.66.1 to 190.136.66.126190.136.66.127126
134190.136.66.128/25190.136.66.129 to 190.136.66.254190.136.66.255126
135190.136.67.0/25190.136.67.1 to 190.136.67.126190.136.67.127126
136190.136.67.128/25190.136.67.129 to 190.136.67.254190.136.67.255126
137190.136.68.0/25190.136.68.1 to 190.136.68.126190.136.68.127126
138190.136.68.128/25190.136.68.129 to 190.136.68.254190.136.68.255126
139190.136.69.0/25190.136.69.1 to 190.136.69.126190.136.69.127126
140190.136.69.128/25190.136.69.129 to 190.136.69.254190.136.69.255126
141190.136.70.0/25190.136.70.1 to 190.136.70.126190.136.70.127126
142190.136.70.128/25190.136.70.129 to 190.136.70.254190.136.70.255126
143190.136.71.0/25190.136.71.1 to 190.136.71.126190.136.71.127126
144190.136.71.128/25190.136.71.129 to 190.136.71.254190.136.71.255126
145190.136.72.0/25190.136.72.1 to 190.136.72.126190.136.72.127126
146190.136.72.128/25190.136.72.129 to 190.136.72.254190.136.72.255126
147190.136.73.0/25190.136.73.1 to 190.136.73.126190.136.73.127126
148190.136.73.128/25190.136.73.129 to 190.136.73.254190.136.73.255126
149190.136.74.0/25190.136.74.1 to 190.136.74.126190.136.74.127126
150190.136.74.128/25190.136.74.129 to 190.136.74.254190.136.74.255126
151190.136.75.0/25190.136.75.1 to 190.136.75.126190.136.75.127126
152190.136.75.128/25190.136.75.129 to 190.136.75.254190.136.75.255126
153190.136.76.0/25190.136.76.1 to 190.136.76.126190.136.76.127126
154190.136.76.128/25190.136.76.129 to 190.136.76.254190.136.76.255126
155190.136.77.0/25190.136.77.1 to 190.136.77.126190.136.77.127126
156190.136.77.128/25190.136.77.129 to 190.136.77.254190.136.77.255126
157190.136.78.0/25190.136.78.1 to 190.136.78.126190.136.78.127126
158190.136.78.128/25190.136.78.129 to 190.136.78.254190.136.78.255126
159190.136.79.0/25190.136.79.1 to 190.136.79.126190.136.79.127126
160190.136.79.128/25190.136.79.129 to 190.136.79.254190.136.79.255126
161190.136.80.0/25190.136.80.1 to 190.136.80.126190.136.80.127126
162190.136.80.128/25190.136.80.129 to 190.136.80.254190.136.80.255126
163190.136.81.0/25190.136.81.1 to 190.136.81.126190.136.81.127126
164190.136.81.128/25190.136.81.129 to 190.136.81.254190.136.81.255126
165190.136.82.0/25190.136.82.1 to 190.136.82.126190.136.82.127126
166190.136.82.128/25190.136.82.129 to 190.136.82.254190.136.82.255126
167190.136.83.0/25190.136.83.1 to 190.136.83.126190.136.83.127126
168190.136.83.128/25190.136.83.129 to 190.136.83.254190.136.83.255126
169190.136.84.0/25190.136.84.1 to 190.136.84.126190.136.84.127126
170190.136.84.128/25190.136.84.129 to 190.136.84.254190.136.84.255126
171190.136.85.0/25190.136.85.1 to 190.136.85.126190.136.85.127126
172190.136.85.128/25190.136.85.129 to 190.136.85.254190.136.85.255126
173190.136.86.0/25190.136.86.1 to 190.136.86.126190.136.86.127126
174190.136.86.128/25190.136.86.129 to 190.136.86.254190.136.86.255126
175190.136.87.0/25190.136.87.1 to 190.136.87.126190.136.87.127126
176190.136.87.128/25190.136.87.129 to 190.136.87.254190.136.87.255126
177190.136.88.0/25190.136.88.1 to 190.136.88.126190.136.88.127126
178190.136.88.128/25190.136.88.129 to 190.136.88.254190.136.88.255126
179190.136.89.0/25190.136.89.1 to 190.136.89.126190.136.89.127126
180190.136.89.128/25190.136.89.129 to 190.136.89.254190.136.89.255126
181190.136.90.0/25190.136.90.1 to 190.136.90.126190.136.90.127126
182190.136.90.128/25190.136.90.129 to 190.136.90.254190.136.90.255126
183190.136.91.0/25190.136.91.1 to 190.136.91.126190.136.91.127126
184190.136.91.128/25190.136.91.129 to 190.136.91.254190.136.91.255126
185190.136.92.0/25190.136.92.1 to 190.136.92.126190.136.92.127126
186190.136.92.128/25190.136.92.129 to 190.136.92.254190.136.92.255126
187190.136.93.0/25190.136.93.1 to 190.136.93.126190.136.93.127126
188190.136.93.128/25190.136.93.129 to 190.136.93.254190.136.93.255126
189190.136.94.0/25190.136.94.1 to 190.136.94.126190.136.94.127126
190190.136.94.128/25190.136.94.129 to 190.136.94.254190.136.94.255126
191190.136.95.0/25190.136.95.1 to 190.136.95.126190.136.95.127126
192190.136.95.128/25190.136.95.129 to 190.136.95.254190.136.95.255126
193190.136.96.0/25190.136.96.1 to 190.136.96.126190.136.96.127126
194190.136.96.128/25190.136.96.129 to 190.136.96.254190.136.96.255126
195190.136.97.0/25190.136.97.1 to 190.136.97.126190.136.97.127126
196190.136.97.128/25190.136.97.129 to 190.136.97.254190.136.97.255126
197190.136.98.0/25190.136.98.1 to 190.136.98.126190.136.98.127126
198190.136.98.128/25190.136.98.129 to 190.136.98.254190.136.98.255126
199190.136.99.0/25190.136.99.1 to 190.136.99.126190.136.99.127126
200190.136.99.128/25190.136.99.129 to 190.136.99.254190.136.99.255126
201190.136.100.0/25190.136.100.1 to 190.136.100.126190.136.100.127126
202190.136.100.128/25190.136.100.129 to 190.136.100.254190.136.100.255126
203190.136.101.0/25190.136.101.1 to 190.136.101.126190.136.101.127126
204190.136.101.128/25190.136.101.129 to 190.136.101.254190.136.101.255126
205190.136.102.0/25190.136.102.1 to 190.136.102.126190.136.102.127126
206190.136.102.128/25190.136.102.129 to 190.136.102.254190.136.102.255126
207190.136.103.0/25190.136.103.1 to 190.136.103.126190.136.103.127126
208190.136.103.128/25190.136.103.129 to 190.136.103.254190.136.103.255126
209190.136.104.0/25190.136.104.1 to 190.136.104.126190.136.104.127126
210190.136.104.128/25190.136.104.129 to 190.136.104.254190.136.104.255126
211190.136.105.0/25190.136.105.1 to 190.136.105.126190.136.105.127126
212190.136.105.128/25190.136.105.129 to 190.136.105.254190.136.105.255126
213190.136.106.0/25190.136.106.1 to 190.136.106.126190.136.106.127126
214190.136.106.128/25190.136.106.129 to 190.136.106.254190.136.106.255126
215190.136.107.0/25190.136.107.1 to 190.136.107.126190.136.107.127126
216190.136.107.128/25190.136.107.129 to 190.136.107.254190.136.107.255126
217190.136.108.0/25190.136.108.1 to 190.136.108.126190.136.108.127126
218190.136.108.128/25190.136.108.129 to 190.136.108.254190.136.108.255126
219190.136.109.0/25190.136.109.1 to 190.136.109.126190.136.109.127126
220190.136.109.128/25190.136.109.129 to 190.136.109.254190.136.109.255126
221190.136.110.0/25190.136.110.1 to 190.136.110.126190.136.110.127126
222190.136.110.128/25190.136.110.129 to 190.136.110.254190.136.110.255126
223190.136.111.0/25190.136.111.1 to 190.136.111.126190.136.111.127126
224190.136.111.128/25190.136.111.129 to 190.136.111.254190.136.111.255126
225190.136.112.0/25190.136.112.1 to 190.136.112.126190.136.112.127126
226190.136.112.128/25190.136.112.129 to 190.136.112.254190.136.112.255126
227190.136.113.0/25190.136.113.1 to 190.136.113.126190.136.113.127126
228190.136.113.128/25190.136.113.129 to 190.136.113.254190.136.113.255126
229190.136.114.0/25190.136.114.1 to 190.136.114.126190.136.114.127126
230190.136.114.128/25190.136.114.129 to 190.136.114.254190.136.114.255126
231190.136.115.0/25190.136.115.1 to 190.136.115.126190.136.115.127126
232190.136.115.128/25190.136.115.129 to 190.136.115.254190.136.115.255126
233190.136.116.0/25190.136.116.1 to 190.136.116.126190.136.116.127126
234190.136.116.128/25190.136.116.129 to 190.136.116.254190.136.116.255126
235190.136.117.0/25190.136.117.1 to 190.136.117.126190.136.117.127126
236190.136.117.128/25190.136.117.129 to 190.136.117.254190.136.117.255126
237190.136.118.0/25190.136.118.1 to 190.136.118.126190.136.118.127126
238190.136.118.128/25190.136.118.129 to 190.136.118.254190.136.118.255126
239190.136.119.0/25190.136.119.1 to 190.136.119.126190.136.119.127126
240190.136.119.128/25190.136.119.129 to 190.136.119.254190.136.119.255126
241190.136.120.0/25190.136.120.1 to 190.136.120.126190.136.120.127126
242190.136.120.128/25190.136.120.129 to 190.136.120.254190.136.120.255126
243190.136.121.0/25190.136.121.1 to 190.136.121.126190.136.121.127126
244190.136.121.128/25190.136.121.129 to 190.136.121.254190.136.121.255126
245190.136.122.0/25190.136.122.1 to 190.136.122.126190.136.122.127126
246190.136.122.128/25190.136.122.129 to 190.136.122.254190.136.122.255126
247190.136.123.0/25190.136.123.1 to 190.136.123.126190.136.123.127126
248190.136.123.128/25190.136.123.129 to 190.136.123.254190.136.123.255126
249190.136.124.0/25190.136.124.1 to 190.136.124.126190.136.124.127126
250190.136.124.128/25190.136.124.129 to 190.136.124.254190.136.124.255126
251190.136.125.0/25190.136.125.1 to 190.136.125.126190.136.125.127126
252190.136.125.128/25190.136.125.129 to 190.136.125.254190.136.125.255126
253190.136.126.0/25190.136.126.1 to 190.136.126.126190.136.126.127126
254190.136.126.128/25190.136.126.129 to 190.136.126.254190.136.126.255126
255190.136.127.0/25190.136.127.1 to 190.136.127.126190.136.127.127126
256190.136.127.128/25190.136.127.129 to 190.136.127.254190.136.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses